Bug 117067 - RHEL3 U3: ICH6 SATA support in ACHI mode
RHEL3 U3: ICH6 SATA support in ACHI mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
BZ_112066, IT_30426 (HP), IT_26013 (D...
Kernel
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2004-02-27 16:35 EST by Susan Denham
Modified: 2013-07-02 22:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:35:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susan Denham 2004-02-27 16:35:47 EST
For U2, Jeff G implemented simple or compatibility mode.   This was fine for
Dell and HP, but in the U3 timeframe, AHCI mode support is required.  (And
actually, HP w/s seems to leave the door open that ACHI won't be required until
RHEL 4.)   So opening this FZ to remind us of need to implement full AHCI
support for U3.


Per John Hull of Dell on 2/26:

The default mode out of our factory will be "AHCI" mode. As long as "simple"
mode works when "AHCI" mode is enabled in BIOS (which I believe it will), we
should be fine. I'd like to get Jeff's opinion on that, though.

And then Matt Domsch:

On the servers, they're going to initially go out in compatibility mode (use
ICH5 driver, set class code != 6, where 6 == AHCI).  Jeff is aware of this.
Comment 2 Robert Perkins 2004-05-11 09:28:14 EDT
PM team set to Investigate as desired for U3
Comment 3 Tim Burke 2004-06-07 15:56:15 EDT
featurezilla review call - Jeff is on track for this one for U3.
Comment 4 Jeff Garzik 2004-06-14 13:46:08 EDT

*** This bug has been marked as a duplicate of 112066 ***
Comment 5 Ernie Petrides 2005-12-01 20:39:26 EST
The SATA update that resolves this has just been committed to the
RHEL3 U7 patch pool this evening (in kernel version 2.4.21-38.EL).
Comment 7 Red Hat Bugzilla 2006-03-15 10:35:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.